Skip to main content
Get edge node info
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

name
string
required

Response

A successful response.

name
string
id
string
adminState
enum<string>
default:ADMIN_STATE_UNSPECIFIED
  • ADMIN_STATE_CREATED: Entity Created in the controller
  • ADMIN_STATE_DELETED: Entity Deleted in the controller
  • ADMIN_STATE_ACTIVE: Entity Activated in the controller
  • ADMIN_STATE_INACTIVE: Entity Deactivated in the controller
  • ADMIN_STATE_REGISTERED: Specific to Edge-node - Edge-node Registered with the controller
  • ADMIN_STATE_ARCHIVED: Entity Archived in the controller
  • ADMIN_STATE_DELETION_PENDING: Entity was marked as Deleted but not yet deleted in the controller
Available options:
ADMIN_STATE_UNSPECIFIED,
ADMIN_STATE_CREATED,
ADMIN_STATE_DELETED,
ADMIN_STATE_ACTIVE,
ADMIN_STATE_INACTIVE,
ADMIN_STATE_REGISTERED,
ADMIN_STATE_ARCHIVED,
ADMIN_STATE_DELETION_PENDING
runState
enum<string>
default:RUN_STATE_UNSPECIFIED
  • RUN_STATE_ONLINE: Entity Online
  • RUN_STATE_HALTED: Entity Halted
  • RUN_STATE_INIT: Entity Initializing
  • RUN_STATE_REBOOTING: Entity Rebooting
  • RUN_STATE_OFFLINE: Entity Offline
  • RUN_STATE_UNKNOWN: Entity state Unknown
  • RUN_STATE_UNPROVISIONED: Entity Unprovisioned
  • RUN_STATE_PROVISIONED: Entity Provisioned
  • RUN_STATE_SUSPECT: Entity Suspect
  • RUN_STATE_DOWNLOADING: Edge-node downloading entity artifacts
  • RUN_STATE_RESTARTING: Entity Restarting
  • RUN_STATE_PURGING: Entity Purging
  • RUN_STATE_HALTING: Entity Halting
  • RUN_STATE_ERROR: Entity encountered an error
  • RUN_STATE_VERIFYING: Verification of downloaded Artifacts in Progress.
  • RUN_STATE_LOADING: Loading of Artifacts into local datastore in Progress.
  • RUN_STATE_CREATING_VOLUME: Volume creation from artifacts in Progress
  • RUN_STATE_BOOTING: Entity booting up
  • RUN_STATE_MAINTENANCE_MODE: Entity maintenance mode
  • RUN_STATE_START_DELAYED: Application start delayed as per configuration
  • RUN_STATE_BASEOS_UPDATING: Device BaseOs Update in Progress
  • RUN_STATE_PREPARING_POWEROFF: device preparing power off - shutting down all app instances
  • RUN_STATE_POWERING_OFF: device powering off from local profile server
  • RUN_STATE_PREPARED_POWEROFF: device prepared power off - all app instances are shut down
Available options:
RUN_STATE_UNSPECIFIED,
RUN_STATE_ONLINE,
RUN_STATE_HALTED,
RUN_STATE_INIT,
RUN_STATE_REBOOTING,
RUN_STATE_OFFLINE,
RUN_STATE_UNKNOWN,
RUN_STATE_UNPROVISIONED,
RUN_STATE_PROVISIONED,
RUN_STATE_SUSPECT,
RUN_STATE_DOWNLOADING,
RUN_STATE_RESTARTING,
RUN_STATE_PURGING,
RUN_STATE_HALTING,
RUN_STATE_ERROR,
RUN_STATE_VERIFYING,
RUN_STATE_LOADING,
RUN_STATE_CREATING_VOLUME,
RUN_STATE_BOOTING,
RUN_STATE_MAINTENANCE_MODE,
RUN_STATE_START_DELAYED,
RUN_STATE_BASEOS_UPDATING,
RUN_STATE_PREPARING_POWEROFF,
RUN_STATE_POWERING_OFF,
RUN_STATE_PREPARED_POWEROFF
upTime
string<date-time>
tags
deprecated = 6; · object

Tags are name/value pairs that enable you to categorize resources. Tag names are case insensitive with max_length 512 and min_length 3. Tag values are case sensitive with max_length 256 and min_length 3.

lastUpdate
string<date-time>
bootTime
string<date-time>
netStatusList
NetworkStatus is used to store the Network Status · object[]
dns
DNSInfo consists of DNS Configurations. · object

DNSInfo is used to store Domain Name Server configuration.

ioStatusList
IoBundleStatus is used to store the status of the Input Output bundle · object[]
storageList
object[]
blobList
object[]
netCounterList
NetworkCounter is used to store the Network Stats and Counters · object[]
hostName
string
swInfo
object[]
zcCounters
ZedcloudCounters is used to store the Zedcloud Stats and Counters · object[]
rawStatus
string
Memory
Memory Summary · object

memory - OBSOLETE. Use memorySummary instead.

Storage
Storage Summary · object

Storage Summary

minfo
object
dinfo
object
Cpu
CPU Summary · object

CPU Summary

lastRebootReason
string
lastRebootTime
string<date-time>
dataSecInfo
object[]
devError
DeviceError is used to store the error details of the hardware. · object[]
projectId
string
title
string
attestState
enum<string>
default:ATTEST_STATE_UNSPECIFIED
Available options:
ATTEST_STATE_UNSPECIFIED,
ATTEST_STATE_NONE,
ATTEST_STATE_FAIL,
ATTEST_STATE_PASS,
ATTEST_STATE_PASS_NO_PCR,
ATTEST_STATE_FAIL_NO_PCR
deviceRebootReason
enum<string>
default:DEVICE_BOOT_REASON_UNSPECIFIED
Available options:
DEVICE_BOOT_REASON_UNSPECIFIED,
DEVICE_BOOT_REASON_FIRST,
DEVICE_BOOT_REASON_REBOOT_CMD,
DEVICE_BOOT_REASON_UPDATE,
DEVICE_BOOT_REASON_FALLBACK,
DEVICE_BOOT_REASON_DISCONNECT,
DEVICE_BOOT_REASON_FATAL,
DEVICE_BOOT_REASON_OOM,
DEVICE_BOOT_REASON_WATCHDOG_HUNG,
DEVICE_BOOT_REASON_WATCHDOG_PID,
DEVICE_BOOT_REASON_KERNEL,
DEVICE_BOOT_REASON_POWER_FAIL,
DEVICE_BOOT_REASON_UNKNOWN,
DEVICE_BOOT_REASON_VAULT_FAILED,
DEVICE_BOOT_REASON_POWEROFF_CMD,
DEVICE_BOOT_REASON_PARSE_FAIL
clusterID
string

System defined universally unique clusterInstance ID, unique across the enterprise.

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
memorySummary
Device Memory Information message · object

Device memory Info

capabilities
Information about hardware capabilities · object

Edge node virtualization capabilities.

debugKnob
boolean
debugKnobExpiryTime
string<date-time>
physicalStorage
object[]
zpoolMetrics
object

Last received counters for zpool metrics.

cellularMetrics
CellularMetrics stores the Cellular Network Stats and Counters · object[]

Last received cellular metrics.

ntpSources
object

List of peers describing to which NTP daemon (e.g. chronyd) is synchronized on EVE side

optionalCapabilities
object

Optional capabilities of the device

clusterNodeStatus
object

Cluster node status

apiCapability
enum<string>
default:API_CAPABILITY_UNSPECIFIED

Capabilities indicates features in the EdgeDevConfig where there is no easy way to otherwise determine whether or not they are parsed and supported by EVE-OS A larger number indicates all lower numbers are also supported thus this works similar to a version field for the EdgeDevConfig support.

Available options:
API_CAPABILITY_UNSPECIFIED,
API_CAPABILITY_RETRY_UPDATE,
API_CAPABILITY_SHUTDOWN,
API_CAPABILITY_START_DELAY_IN_SECONDS,
API_CAPABILITY_EDGEVIEW,
API_CAPABILITY_VOLUME_SNAPSHOTS,
API_CAPABILITY_NETWORK_INSTANCE_ROUTING,
API_CAPABILITY_BOOT_MODE,
API_CAPABILITY_MTU,
API_CAPABILITY_ADAPTER_USER_LABELS,
API_CAPABILITY_ENFORCED_NET_INTERFACE_ORDER,
API_CAPABILITY_NTPS_FQDN,
API_CAPABILITY_WIN_LIC_PASSTHROUGH,
API_CAPABILITY_VOLUME_SNAPSHOTS_IMMEDIATE,
API_CAPABILITY_ENCRYPTED_PATCH_ENVELOPE,
API_CAPABILITY_SINGLE_STACK_IP_NETWORK,
API_CAPABILITY_CELLULAR_ATTACH_CONFIG,
API_CAPABILITY_EDGEVIEW_AUTHENTICATION,
API_CAPABILITY_DISABLE_VTPM,
API_CAPABILITY_LOC_REBOOT_COLLECT_INFO,
API_CAPABILITY_SMART_REPORT,
API_CAPABILITY_REPORT_TPM_EVENTLOG
memoryReport
A report for all memory controllers · object
hardwareInfo
Information about the system that is sent once when the system boots · object
memoryReportStatus
enum<string>
default:ECC_MEMORY_REPORT_STATUS_NOT_APPLICABLE
Available options:
ECC_MEMORY_REPORT_STATUS_NOT_APPLICABLE,
ECC_MEMORY_REPORT_STATUS_PASS,
ECC_MEMORY_REPORT_STATUS_DEGRADED,
ECC_MEMORY_REPORT_STATUS_FAILED
enrolledCerts
Certificates enrolled via SCEP · object[]

Certificates enrolled via SCEP on the device

pnacMetrics
PNAC (802.1X) authentication metrics per port · object[]

PNAC 802.1X authentication metrics per network port

remoteAccessDisabled
boolean